ServerEvents.recipes(event => {

    event.recipes.gtceu.macerator('copper_dust')
        .itemInputs(
            '4x minecraft:raw_copper'
        )
        .itemOutputs(
            '5x alltheores:copper_dust'
        )
		.chancedOutput('alltheores:copper_dust', 10000, 0)
        .duration(240)
        .EUt(4)
		
    event.recipes.gtceu.macerator('iron_dust')
        .itemInputs(
            '4x minecraft:raw_iron'
        )
        .itemOutputs(
            '5x alltheores:iron_dust'
        )
		.chancedOutput('alltheores:iron_dust', 10000, 0)
        .duration(240)
        .EUt(4)
		
    event.recipes.gtceu.macerator('gold_dust')
        .itemInputs(
            '4x minecraft:raw_gold'
        )
        .itemOutputs(
            '5x alltheores:gold_dust'
        )
		.chancedOutput('alltheores:gold_dust', 10000, 0)
        .duration(240)
        .EUt(4)
		
    event.recipes.gtceu.macerator('zinc_dust')
        .itemInputs(
            '4x create:raw_zinc'
        )
        .itemOutputs(
            '5x alltheores:zinc_dust'
        )
        .duration(240)
        .EUt(4)
		
    event.recipes.gtceu.macerator('tin_dust')
        .itemInputs(
            '4x alltheores:raw_tin'
        )
        .itemOutputs(
            '5x alltheores:tin_dust'
        )
		.chancedOutput('alltheores:tin_dust', 10000, 0)
        .duration(240)
        .EUt(4)
		
    event.recipes.gtceu.macerator('silver_dust')
        .itemInputs(
            '4x alltheores:raw_silver'
        )
        .itemOutputs(
            '5x alltheores:silver_dust'
        )
		.chancedOutput('alltheores:silver_dust', 10000, 0)
        .duration(240)
        .EUt(4)
		
    event.recipes.gtceu.macerator('osmium_dust')
        .itemInputs(
            '4x alltheores:raw_osmium'
        )
        .itemOutputs(
            '5x alltheores:osmium_dust'
        )
		.chancedOutput('alltheores:osmium_dust', 10000, 0)
        .duration(240)
        .EUt(4)
		
    event.recipes.gtceu.macerator('aluminum_dust')
        .itemInputs(
            '4x alltheores:raw_aluminum'
        )
        .itemOutputs(
            '5x alltheores:aluminum_dust'
        )
		.chancedOutput('alltheores:aluminum_dust', 10000, 0)
        .duration(240)
        .EUt(4)
		
    event.recipes.gtceu.macerator('uranium_dust')
        .itemInputs(
            '4x alltheores:raw_uranium'
        )
        .itemOutputs(
            '5x alltheores:uranium_dust'
        )
		.chancedOutput('alltheores:uranium_dust', 10000, 0)
        .duration(240)
        .EUt(4)
		
    event.recipes.gtceu.macerator('nickel_dust')
        .itemInputs(
            '4x alltheores:raw_nickel'
        )
        .itemOutputs(
            '5x alltheores:nickel_dust'
        )
		.chancedOutput('alltheores:nickel_dust', 10000, 0)
        .duration(240)
        .EUt(4)

    event.recipes.gtceu.macerator('lead_dust')
        .itemInputs(
            '4x alltheores:raw_lead'
        )
        .itemOutputs(
            '5x alltheores:lead_dust'
        )
		.chancedOutput('alltheores:lead_dust', 10000, 0)
        .duration(240)
        .EUt(4)
		
    event.recipes.gtceu.macerator('clay_dust')
        .itemInputs(
            '1x minecraft:clay_ball'
        )
        .itemOutputs(
            '1x gtceu:clay_dust'
        )
        .duration(40)
        .EUt(4)
		
    event.recipes.gtceu.macerator('brick_dust')
        .itemInputs(
            '1x minecraft:brick'
        )
        .itemOutputs(
            '1x gtceu:brick_dust'
        )
        .duration(40)
        .EUt(4)
		
event.recipes.gtceu.macerator('copper_dust2')
        .itemInputs(
            '1x minecraft:copper_ingot'
        )
        .itemOutputs(
            '1x alltheores:copper_dust'
        )
        .duration(160)
        .EUt(4)
		
    event.recipes.gtceu.macerator('iron_dust2')
        .itemInputs(
            '1x minecraft:iron_ingot'
        )
        .itemOutputs(
            '1x alltheores:iron_dust'
        )
        .duration(160)
        .EUt(4)
		
    event.recipes.gtceu.macerator('gold_dust2')
        .itemInputs(
            '1x minecraft:gold_ingot'
        )
        .itemOutputs(
            '1x alltheores:gold_dust'
        )
        .duration(160)
        .EUt(4)
		
    event.recipes.gtceu.macerator('zinc_dust2')
        .itemInputs(
            '1x alltheores:zinc_ingot'
        )
        .itemOutputs(
            '1x alltheores:zinc_dust'
        )
        .duration(160)
        .EUt(4)
		
    event.recipes.gtceu.macerator('tin_dust2')
        .itemInputs(
            '1x alltheores:tin_ingot'
        )
        .itemOutputs(
            '1x alltheores:tin_dust'
        )
        .duration(160)
        .EUt(4)
		
    event.recipes.gtceu.macerator('silver_dust2')
        .itemInputs(
            '1x alltheores:silver_ingot'
        )
        .itemOutputs(
            '1x alltheores:silver_dust'
        )
        .duration(160)
        .EUt(4)
		
    event.recipes.gtceu.macerator('platinum_dust2')
        .itemInputs(
            '1x alltheores:platinum_ingot'
        )
        .itemOutputs(
            '1x alltheores:platinum_dust'
        )
        .duration(160)
        .EUt(4)
		
    event.recipes.gtceu.macerator('osmium_dust2')
        .itemInputs(
            '1x alltheores:osmium_ingot'
        )
        .itemOutputs(
            '1x alltheores:osmium_dust'
        )
        .duration(160)
        .EUt(4)
		
    event.recipes.gtceu.macerator('aluminum_dust2')
        .itemInputs(
            '1x alltheores:aluminum_ingot'
        )
        .itemOutputs(
            '1x alltheores:aluminum_dust'
        )
        .duration(160)
        .EUt(4)
		
    event.recipes.gtceu.macerator('uranium_dust2')
        .itemInputs(
            '1x alltheores:uranium_ingot'
        )
        .itemOutputs(
            '1x alltheores:uranium_dust'
        )
        .duration(160)
        .EUt(4)
		
    event.recipes.gtceu.macerator('nickel_dust2')
        .itemInputs(
            '1x alltheores:nickel_ingot'
        )
        .itemOutputs(
            '1x alltheores:nickel_dust'
        )
        .duration(160)
        .EUt(4)

    event.recipes.gtceu.macerator('lead_dust2')
        .itemInputs(
            '1x alltheores:lead_ingot'
        )
        .itemOutputs(
            '1x alltheores:lead_dust'
        )
        .duration(160)
        .EUt(4)
		
    event.recipes.gtceu.macerator('gravel')
        .itemInputs(
            '1x #forge:cobblestone'
        )
        .itemOutputs(
            '1x minecraft:gravel'
        )
        .duration(160)
        .EUt(4)
		
    event.recipes.gtceu.macerator('sand')
        .itemInputs(
            '1x #forge:gravel'
        )
        .itemOutputs(
            '1x minecraft:sand'
        )
        .duration(160)
        .EUt(4)
		
    event.recipes.gtceu.macerator('flour')
        .itemInputs(
            '1x minecraft:wheat'
        )
        .itemOutputs(
            '2x create:wheat_flour'
        )
        .duration(80)
        .EUt(4)
		
    event.recipes.gtceu.macerator('bone_meal')
        .itemInputs(
            '1x minecraft:bone'
        )
        .itemOutputs(
            '6x minecraft:bone_meal'
        )
        .duration(40)
        .EUt(4)
	
event.recipes.gtceu.macerator('copper_dust3')
        .itemInputs(
            '4x #forge:ores/copper'
        )
        .itemOutputs(
            '4x alltheores:copper_dust'
        )
		.chancedOutput('4x alltheores:copper_dust', 10000, 0)
        .duration(240)
        .EUt(4)
		
    event.recipes.gtceu.macerator('iron_dust3')
        .itemInputs(
            '4x #forge:ores/iron'
        )
        .itemOutputs(
            '4x alltheores:iron_dust'
        )
		.chancedOutput('4x alltheores:iron_dust', 10000, 0)
        .duration(240)
        .EUt(4)
		
    event.recipes.gtceu.macerator('gold_dust3')
        .itemInputs(
            '4x #forge:ores/gold'
        )
        .itemOutputs(
            '4x alltheores:gold_dust'
        )
		.chancedOutput('4x alltheores:gold_dust', 10000, 0)
        .duration(240)
        .EUt(4)
		
    event.recipes.gtceu.macerator('zinc_dust3')
        .itemInputs(
            '4x #forge:ores/zinc'
        )
        .itemOutputs(
            '4x alltheores:zinc_dust'
        )
        .duration(240)
        .EUt(4)
		
    event.recipes.gtceu.macerator('tin_dust3')
        .itemInputs(
            '4x #forge:ores/tin'
        )
        .itemOutputs(
            '4x alltheores:tin_dust'
        )
		.chancedOutput('4x alltheores:tin_dust', 10000, 0)
        .duration(240)
        .EUt(4)
		
    event.recipes.gtceu.macerator('silver_dust3')
        .itemInputs(
            '4x #forge:ores/silver'
        )
        .itemOutputs(
            '4x alltheores:silver_dust'
        )
		.chancedOutput('4x alltheores:silver_dust', 10000, 0)
        .duration(240)
        .EUt(4)
		
    event.recipes.gtceu.macerator('osmium_dust3')
        .itemInputs(
            '4x #forge:ores/osmium'
        )
        .itemOutputs(
            '4x alltheores:osmium_dust'
        )
		.chancedOutput('4x alltheores:osmium_dust', 10000, 0)
        .duration(240)
        .EUt(4)
		
    event.recipes.gtceu.macerator('aluminum_dust3')
        .itemInputs(
            '4x #forge:ores/aluminum'
        )
        .itemOutputs(
            '4x alltheores:aluminum_dust'
        )
		.chancedOutput('4x alltheores:aluminum_dust', 10000, 0)
        .duration(240)
        .EUt(4)
		
    event.recipes.gtceu.macerator('uranium_dust3')
        .itemInputs(
            '4x #forge:ores/uranium'
        )
        .itemOutputs(
            '4x alltheores:uranium_dust'
        )
		.chancedOutput('4x alltheores:uranium_dust', 10000, 0)
        .duration(240)
        .EUt(4)
		
    event.recipes.gtceu.macerator('nickel_dust3')
        .itemInputs(
            '4x #forge:ores/nickel'
        )
        .itemOutputs(
            '4x alltheores:nickel_dust'
        )
		.chancedOutput('4x alltheores:nickel_dust', 10000, 0)
        .duration(240)
        .EUt(4)

    event.recipes.gtceu.macerator('lead_dust3')
        .itemInputs(
            '4x #forge:ores/lead'
        )
        .itemOutputs(
            '4x alltheores:lead_dust'
        )
		.chancedOutput('4x alltheores:lead_dust', 10000, 0)
        .duration(240)
        .EUt(4)
	
	    event.recipes.gtceu.macerator('desh_dust3')
        .itemInputs(
            '4x ad_astra:raw_desh'
        )
        .itemOutputs(
            '5x moremekanismprocessing:dust_desh'
        )
		.chancedOutput('moremekanismprocessing:dust_desh', 10000, 0)
        .duration(240)
        .EUt(4)
		
	    event.recipes.gtceu.macerator('calorite_dust3')
        .itemInputs(
            '4x ad_astra:raw_calorite'
        )
        .itemOutputs(
            '5x moremekanismprocessing:dust_calorite'
        )
		.chancedOutput('moremekanismprocessing:dust_calorite', 10000, 0)
        .duration(240)
        .EUt(4)
		
	    event.recipes.gtceu.macerator('ostrum_dust3')
        .itemInputs(
            '4x ad_astra:raw_ostrum'
        )
        .itemOutputs(
            '5x moremekanismprocessing:dust_ostrum'
        )
		.chancedOutput('moremekanismprocessing:dust_ostrum', 10000, 0)
        .duration(240)
        .EUt(4)
})

